> ## Documentation Index
> Fetch the complete documentation index at: https://doc.haipay.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Brazil — Disbursement Query (Legacy navigation V20260701)

> Historical version (V20260701): Brazil — Disbursement Query (Legacy navigation V20260701) endpoint (POST /brl/pay/query) with request parameters including orderId, signature verification, and response status.

> [!NOTE]
>
> All example requests on this page are based on the **sandbox (test) environment**. Please be careful to distinguish it from the production environment.

#### Secret Key & Private Key (Generate Signature)

## Related Topics

* [Brazil Payment Interface](https://doc.haipay.net/en/history/V20260701/payments/local/brazil.md)
* [HaiPay API Reference Overview](https://doc.haipay.net/en/history/V20260701/api-reference/overview.md)
* [HaiPay Configuration and Signature Guide](https://doc.haipay.net/en/history/V20260701/guide/config_settings_and_signature_rules_guide.md)


## OpenAPI

````yaml docs/en/api-reference/brl/brl.openapi.json POST /brl/pay/query
openapi: 3.0.1
info:
  title: 默认模块
  description: ''
  version: 1.0.0
servers:
  - url: https://uat-interface.haipay.asia
    description: 测试-interface
security: []
tags: []
paths:
  /brl/pay/query:
    post:
      tags: []
      summary: BRL Disbursement Query
      description: 代付订单查询
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                appId:
                  type: integer
                  description: >-
                    Business ID (obtained from the backend, needs to be passed
                    according to the currency in the URL)
                orderId:
                  type: string
                  description: Merchant order number
                orderNo:
                  type: string
                  description: Platform order number (faster response)
                sign:
                  type: string
                  description: Signature
              required:
                - appId
                - orderId
                - sign
            example:
              appId: 1000
              orderId: M1234567111
              orderNo: '3022111516571436'
              sign: >-
                ZxkVZL+GAyv0VhvWn4IvuYahTzxgQuthkuV2ONWiqIfIDb2avvHlFOUJVzqZi1q8CPHXZm1ltanRTRVTxfsuftLvGeDioUHglWt46/RU6c1OPznpLGsZ35Q3n5tW2y1EnOsxPynXBFLuDQy+aZ3l9u6AQ30T0zQexMGT+IxuFkmUp02g/6juaHa5ZgNMv7lN67ixIp162wrM7OJuaOif872QijSceRdZhzaMGImAwB0D4MosRV4WMBOKkwgPdmS7GuZN66YUidXk3wTGqX3MYRw6M0kj4eNegSUwPXvp4q4p0KO8Y3xUMld54GY2ApX3WN3CBtC/vpJqEszjGBbbGg==
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: '1: Normal, 0: Exception'
                  error:
                    type: string
                    description: Error code
                  msg:
                    type: string
                    description: Error description
                  data:
                    type: object
                    properties:
                      orderId:
                        type: string
                        description: Merchant order number (must be unique)
                      orderNo:
                        type: string
                        description: Platform order number
                      amount:
                        type: string
                        description: Transaction amount
                      fee:
                        type: string
                        description: Service fee
                      status:
                        type: integer
                        description: >-
                          Status (0 = Not started, 1 = In process, 2 = Success
                          (final), 3 = Failed (final), -1 = Exception awaiting
                          confirmation)
                      payTime:
                        type: string
                        description: >-
                          Payment success time (present when status=2) (Brazil
                          time), format: yyyy-MM-dd HH:mm:ss
                      errorMsg:
                        type: string
                        description: Payment failure reason (present when status=3)
                      sign:
                        type: string
                        description: Signature
                    additionalProperties: false
                additionalProperties: false
              examples:
                success:
                  summary: Success
                  value:
                    status: '1'
                    error: '00000000'
                    msg: ''
                    data:
                      orderId: M1234567111
                      orderNo: '3022111516571436'
                      amount: '100000.00'
                      fee: '0.00'
                      status: 3
                      errorMsg: Đơn hàng không tồn tại
                      sign: >-
                        KKuvCl0SuNANJs+l2ogDaJm8pmV+Hi+Xa7q27vJ6D1Ehs4aOp13kRbITfJAhczh3T81BE9qwHeJaYwf+r0EypKM9TL6pMwfG8Az4gRy1D57wiUaVjl2PWcvbEqrn1hL0b+btkjvAM9I+CcSv+wuOW3/uku17Ws3FhgJLj9sFsQUBAPjDO+758VnwBytCOLBmljLBXyKgNgpmFQ1/DNkqWl0UNzyLK45Zw3yf5NiwhEFbvW0jlOWlfu/ql4hluISUQG573jEoFCBEnQLb2tQoRZj1QYNRCXPf5lbej0vzqbEwvR9h+ZOf255t1MocJkdIe463DTV5U3KZdVT87HMagw==
                param_error:
                  summary: Parameter validation failed
                  value:
                    status: '0'
                    error: '1001'
                    msg: orderId can not blank
                    data: null
                sign_error:
                  summary: Signature error
                  value:
                    status: '0'
                    error: '1002'
                    msg: Invalid request signature
                    data: null
      deprecated: false
      security: []

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.